synapse-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Asankha C. Perera" <asan...@wso2.com>
Subject Re: Getting axis2 transport out from the kernel
Date Thu, 04 Oct 2007 07:23:07 GMT
Sorry to drop in late on this one..

What would be ideal is just a separation of the Axis2 transports code 
into a separate module within Axis2 - i.e. outside of the Kernel.

thanks
asankha

Ruwan Linton wrote:
> Hi Chinthaka,
>
> It does have API level problems and that is why we are running in to 
> issues in the cases where the transport impl is picked from the 
> axis2-kernel's classes. For example;
>
> The method org.apache.http.RequestLine.getHttpVersion () in 
> http-core-alpha5 has been changed to 
> org.apache.http.RequestLine.getProtocolVersion() in the 
> http-core-alpha6-SNAPSHOT
>
> and because we have the http-core-alpha6-SNAPSHOT jar in synapse, if 
> the axis2 class is loaded rather than the synapse transport class, 
> then we run in to runtime exception saying the method getHttpVersion 
> is not found.
>
> We can not remove the axis2-kernel dependency (obvious) at the same 
> time we need to go with the http-core-alpha6 with its perf improvements.
>
> Thanks,
> Ruwan
>
> On 10/4/07, *Eran Chinthaka* <chinthaka@opensource.lk 
> <mailto:chinthaka@opensource.lk>> wrote:
>
>     -----BEGIN PGP SIGNED MESSAGE-----
>     Hash: SHA1
>
>     Just out of curiosity, if you take out the http transport out of the
>     kernel, won't that change the packages of it which will affect the
>     transport listing in axis2.xml which in turn will be visible to users.
>     That means, we might have to do a major release with this change.
>
>     Also what will happen if you make Axis2 to run with the new kernel
>     jars,
>     that you want to have synapse? In other words can you remove the
>     existing version of http-core and run Axis2 with the latest version of
>     http-core? Is there a package level problem?
>
>     Thanks,
>     Chinthaka
>
>     Ruwan Linton wrote:
>     > Hi axis-devs,
>     >
>     > We are getting ready for the Synapse 1.1 release and we faced to a
>     > problem with the transports. Synapse is going to ship with the
>     http-core
>     > transport version 4.0-alpha6 and we have changed synapse transport
>     > module with the improvements for that version ( 4.0-alpha6-SNAPSHOT)
>     > which is not compatible with the current http-core version of axis2.
>     > But, because of the fact that axis2-kernel carries the same classes
>     > inside the kernel jar some times we are running in to class
>     loading issues.
>     >
>     > Can we get axis2 transports out of the axis2 kernel module and get a
>     > 1.3.0.1 <http://1.3.0.1> <http://1.3.0.1> (or any point) release
>     of axis2, so that we can
>     > depend on the axis2-kernel without transports. Is this possible?
>     >
>     > Thanks,
>     > Ruwan
>     >
>     > --
>     > Ruwan Linton
>     > http://www.wso2.org - "Oxygenating the Web Services Platform"
>
>     -----BEGIN PGP SIGNATURE-----
>     Version: GnuPG v1.4.6 (GNU/Linux)
>     Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org
>
>     iD8DBQFHBGC3jON2uBzUhh8RAqLJAKCZipLBYZt1YKIN9YNs9TUX4pA0mgCgjIQs
>     nmLxNEzpmXI1EDt12oJv9JQ=
>     =JPr5
>     -----END PGP SIGNATURE-----
>
>     ---------------------------------------------------------------------
>     To unsubscribe, e-mail: synapse-dev-unsubscribe@ws.apache.org
>     <mailto:synapse-dev-unsubscribe@ws.apache.org>
>     For additional commands, e-mail: synapse-dev-help@ws.apache.org
>     <mailto:synapse-dev-help@ws.apache.org>
>
>
>
>
> -- 
> Ruwan Linton
> http://www.wso2.org - "Oxygenating the Web Services Platform" 

Mime
View raw message